delete
https://{domainname}/ca_apis/deleteAgent
Delete an agent by providing the agent's ID and username.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API allows you to delete an existing agent from your CloudAgent account.
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Rate LimitThis API permits up to 5 requests per minute.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Possible Responses
| Success Response | {"Status": "Success","Message": "Agent xxxxx Deleted Successfully"} |
| Missing apiKey key / Missing apiKey Value | "{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid userName Value / Missing userName key / Missing userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid agentId Value / Missing agentId key / Missing agentId Value / | "{""messages"": ""Invalid Agent Details"", ""status"": ""error""}" |
| Deleting an already deleted agent. | {"status": "error","messages": "Invalid agent details or Agent is already deleted"} |
| More than 5 requests per minute | "{""status"": ""error"", ""message"": ""Max limit exceeded""}" |
